6.0.0-git
2019-03-23

[#13354] Fatal error when accessing user webmail preferences
Summary Fatal error when accessing user webmail preferences
Queue IMP
Queue Version 6.2.0
Type Bug
State Not A Bug
Priority 1. Low
Owners
Requester chrissi (at) amusing (dot) de
Created 2014-07-12 (1715 days ago)
Due
Updated 2014-07-13 (1714 days ago)
Assigned
Resolved 2014-07-12 (1715 days ago)
Milestone
Patch No

History
2014-07-13 15:28:15 arjen+horde (at) de-korte (dot) org Comment #4 Reply to this comment
OK, can be closed, had to recreate the prefs.local.php from scratch...
Unfortunately this wasn't included in the upgrade instructions.
If you had to rewrite prefs.local.php from scratch, you probably made 
a copy of prefs.php earlier on. This is wrong. You should only 
override the values that need changing, not the whole arrays.

2014-07-12 16:20:58 Michael Rubinsky State ⇒ Not A Bug
Priority ⇒ 1. Low
 
2014-07-12 11:03:19 chrissi (at) amusing (dot) de Comment #3 Reply to this comment
OK, can be closed, had to recreate the prefs.local.php from scratch...
Unfortunately this wasn't included in the upgrade instructions.

Regards, Christian
2014-07-12 10:42:41 chrissi (at) amusing (dot) de Comment #2 Reply to this comment
Fyi: I'm using ISPconfig as backend for user authentication.
Ah, I mean I'm using dovecot as backend which connects to the ISPonfig 
database for authentication, sorry.


2014-07-12 08:29:20 chrissi (at) amusing (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ Fatal error when accessing user webmail preferences
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hello,

today I upgraded my Horde groupware to the latest pear releases, so 
IMP is now on 6.2.0
Unfortunately users can't access their webmail preferences anymore, 
this error message is logged:

2014-07-12T08:24:13+00:00 EMERG: HORDE [imp] /**
      * Constructor.
      *
      * @param string $id  Object identifier.
      */
Method [ <user, ctor> public method __construct ] {
   @@ /var/www/horde/imp/lib/Imap.php 110 - 113

   - Parameters [1] {
     Parameter #0 [ <required> $id ]
   }
}
  has unfulfilled dependencies (Parameter #0 [ <required> $id ]) [pid 
32308 on line 33 of 
"/usr/share/pear/Horde/Injector/DependencyFinder.php"]
2014-07-12T08:24:13+00:00 DEBUG: HORDE  1. 
Horde_Core_Prefs_Ui->__construct() /var/www/horde/services/prefs.php:26
  2. Horde_Core_Prefs_Ui->_getPrefGroups() 
/usr/share/pear/Horde/Core/Prefs/Ui.php:109
  3. Horde_Core_Prefs_Ui->groupIsEditable() 
/usr/share/pear/Horde/Core/Prefs/Ui.php:799
  4. Horde_Core_Prefs_Ui->getChangeablePrefs() 
/usr/share/pear/Horde/Core/Prefs/Ui.php:126
  5. Horde_Registry_Loadconfig->{closure}() 
/usr/share/pear/Horde/Core/Prefs/Ui.php:172
  6. Horde_Injector->getInstance() 
/var/www/horde/imp/config/prefs.local.php:829
  7. Horde_Injector->createInstance() /usr/share/pear/Horde/Injector.php:258
  8. Horde_Injector_Binder_AnnotatedSetters->create() 
/usr/share/pear/Horde/Injector.php:224
  9. Horde_Injector_Binder_Implementation->create() 
/usr/share/pear/Horde/Injector/Binder/AnnotatedSetters.php:69
10. Horde_Injector_Binder_Implementation->_getInstance() 
/usr/share/pear/Horde/Injector/Binder/Implementation.php:66
11. Horde_Injector_DependencyFinder->getMethodDependencies() 
/usr/share/pear/Horde/Injector/Binder/Implementation.php:86
12. Horde_Core_Prefs_Ui->__construct() /var/www/horde/services/prefs.php:26
13. Horde_Core_Prefs_Ui->_getPrefGroups() 
/usr/share/pear/Horde/Core/Prefs/Ui.php:109
14. Horde_Core_Prefs_Ui->groupIsEditable() 
/usr/share/pear/Horde/Core/Prefs/Ui.php:799
15. Horde_Core_Prefs_Ui->getChangeablePrefs() 
/usr/share/pear/Horde/Core/Prefs/Ui.php:126
16. Horde_Registry_Loadconfig->{closure}() 
/usr/share/pear/Horde/Core/Prefs/Ui.php:172
17. Horde_Injector->getInstance() 
/var/www/horde/imp/config/prefs.local.php:829
18. Horde_Injector->createInstance() /usr/share/pear/Horde/Injector.php:258
19. Horde_Injector_Binder_AnnotatedSetters->create() 
/usr/share/pear/Horde/Injector.php:224
20. Horde_Injector_Binder_Implementation->create() 
/usr/share/pear/Horde/Injector/Binder/AnnotatedSetters.php:69
21. Horde_Injector_Binder_Implementation->_getInstance() 
/usr/share/pear/Horde/Injector/Binder/Implementation.php:66
22. Horde_Injector_DependencyFinder->getMethodDependencies() 
/usr/share/pear/Horde/Injector/Binder/Implementation.php:86
23. Horde_Injector_DependencyFinder->getParameterDependency() 
/usr/share/pear/Horde/Injector/DependencyFinder.php:30

Fyi: I'm using ISPconfig as backend for user authentication.

Best regards, Christian

Saved Queries